source: josm/trunk/tools/ivy.xml @ 16556

Last change on this file since 16556 was 16556, checked in by Don-vip, 17 months ago

fix #19334 - Upgrade to error_prone 2.4.0

File size: 2.0 KB
Line 
1<?xml version="1.0" encoding="utf-8"?>
2<!-- License: GPL. For details, see LICENSE file. -->
3<ivy-module version="2.0" xmlns:maven="http://ant.apache.org/ivy/maven">
4    <info organisation="org.openstreetmap" module="josm"/>
5    <configurations>
6        <conf name="javacc" description="Everything needed for running JavaCC"/>
7        <conf name="checkstyle" description="Everything needed for running Checkstyle"/>
8        <conf name="proguard" description="Everything needed for running ProGuard"/>
9        <conf name="pmd" description="Everything needed for running PMD"/>
10        <conf name="spotbugs" description="Everything needed for running SpotBugs"/>
11        <conf name="errorprone" description="Everything needed for running error-prone"/>
12    </configurations>
13    <dependencies>
14        <!-- javacc->default -->
15        <dependency org="net.java.dev.javacc" name="javacc" rev="7.0.3" conf="javacc->default"/>
16        <!-- checkstyle->default -->
17        <dependency org="com.puppycrawl.tools" name="checkstyle" rev="8.31" conf="checkstyle->default"/>
18        <!-- proguard->default -->
19        <dependency org="net.sf.proguard" name="proguard-anttask" rev="6.2.2" conf="proguard->default"/>
20        <!-- pmd->default -->
21        <dependency org="net.sourceforge.pmd" name="pmd-core" rev="6.20.0" conf="pmd->default"/>
22        <dependency org="net.sourceforge.pmd" name="pmd-java" rev="6.20.0" conf="pmd->default"/>
23        <dependency org="net.sourceforge.saxon" name="saxon" rev="9.1.0.8" conf="pmd->default">
24            <artifact name="saxon" type="jar"/>
25            <artifact name="saxon" type="jar" maven:classifier="dom"/>
26        </dependency>
27        <!-- spotbugs->default -->
28        <dependency org="com.github.spotbugs" name="spotbugs" rev="4.0.1" conf="spotbugs->default"/>
29        <dependency org="com.github.spotbugs" name="spotbugs-ant" rev="4.0.1" conf="spotbugs->default"/>
30        <!-- errorprone->default -->
31        <dependency org="com.google.errorprone" name="error_prone_core" rev="2.4.0" conf="errorprone->default"/>
32    </dependencies>
33</ivy-module>
Note: See TracBrowser for help on using the repository browser.